#include <bits/stdc++.h>
using namespace std;

long long Farshmag (long long n, long long w) {
	if (n == 1 && w == 1) return 1; 
	if (n == 1) return w + Farshmag(1, w-1) + 1;
	return n*w + Farshmag(n-1, w) + Farshmag(1, w); 
}

int main () {
	long long n, w;
	cin >> n >> w;
	if (n < w) swap(n, w);
	cout << Farshmag(n, w);
}
